{% extends 'base_adaugari.html' %}
{% load static %}

{% block title %}
    Adaugare carti in biblioteca personala
{% endblock %}

{% block top_username %}
    <input type="button" id="username_button" value="{{ username }}" />

{% endblock %}

{% block add_header_title %}
    Adaugare carti
{% endblock %}



{% block content_form %}
                <form class="center" method="post" action="">
                    {% csrf_token %}
					       <div class="row">
								<div class="col-sm-6">
									<div class="form-group">
                                        <span class="form-label">Titlul cartii <sup style="font-weight:bolder">*</sup></span>
										<input class="form-control" type="text" id="book_title" name="book_title" required>
									</div>
								</div>
								<div class="col-sm-4">
											<div class="form-group">
                                                <span class="form-label">Selecteaza toti Autorii cartii <sup style="font-weight:bolder">*</sup> &nbsp</span>
												<select class="form-control" name="selected_authors" id="authors_select" multiple required>
                                                <option disabled selected="true">-------------------------</option>
												 {% for author in all_authors %}
                                                    <option value="{{ author.author_id }}">{{ author.author_name }}</option>
                                                 {% endfor %}
												</select>
												<span class="select-arrow"></span>
											</div>
								</div>
							</div>
							<div class="form-group">
								<span class="form-label">Descriere</span>
								<textarea rows="7" cols="50" class="form-control" id="book_descr" name="book_description">

							    </textarea>

							</div>

							<div class="row">
								<div class="col-sm-6">
									<div class="form-group">
										<span class="form-label">ISBN</span>
										<input class="form-control" type="text" id="isbn" name="isbn">
									</div>
								</div>
								<div class="col-sm-4">
											<div class="form-group">

												<span class="form-label">Selecteaza Editura <sup style="font-weight:bolder">*</sup>:</span>
												<select class="form-control" name="publisher" id=publisher" required>
                                                <option disabled selected="true">-------------------</option>
                                                 {% for publisher in db_publishers %}
													<option value="publisher.id">{{ publisher }}</option>
                                                 {% endfor %}
												</select>
												<span class="select-arrow"></span>
											</div>
								</div>
							</div>

							<div class="row">
								<div class="col-sm-4">
											<div class="form-group">
												<span class="form-label">Selecteaza Camera,</span>
												{% if user_rooms %}
                                                    <select class="form-control" id="selected_rooms" name="selected_rooms">
                                                        <option disabled selected="true">-------------------</option>
                                                        {% for room in user_rooms %}
                                                            <option value="{{ room.id }}">{{ room.name }}</option>
                                                        {% endfor %}
                                                    </select>
                                                {% endif %}
												<span class="select-arrow"></span>
											</div>
								</div>
								<div class="col-sm-4">
											<div class="form-group">
												<span class="form-label">Apoi Raftul din camera selectata:</span>
												{% if user_shelfs %}
                                                    <select class="form-control" id="selected_shelfs" name="selected_shelfs">
                                                        <option disabled selected="true">-------------------</option>
                                                        {% for shelf in user_shelfs %}
                                                            <option value="{{ shelf.room_id }}">{{ shelf.shelf_number }}</option>
                                                        {% endfor %}
                                                    </select>
                                                {% endif %}
												<span class="select-arrow"></span>
											</div>
								</div>
							</div>

							<div class="row">
								<div class="col-sm-4">
											<div class="form-group">
												<span class="form-label">Selecteaza Categoria,</span>
												{% if book_categories %}
                                                    <select class="form-control" id="selected_categories" name="selected_categories">
                                                        <option disabled selected="true">-------------------</option>
                                                        {% for category in book_categories %}
                                                            <option value="{{ category.id }}">{{ category.name }}</option>
                                                        {% endfor %}
                                                    </select>
                                                {% endif %}
												<span class="select-arrow"></span>
											</div>
								</div>
								<div class="col-sm-4">
											<div class="form-group">
												<span class="form-label">Apoi Subcategoria:</span>
                                                {% if categ_subcategories %}
                                                    <select class="form-control" id="selected_subcategories" name="selected_subcategories">
                                                        <option disabled selected="true">-------------------</option>
                                                        {% for subcategory in categ_subcategories %}
                                                            <option value="{{ subcategory.parent_category.id }}">{{ subcategory.name }}</option>
                                                        {% endfor %}
                                                    </select>
                                                {% endif %}
												<span class="select-arrow"></span>
											</div>
								</div>
							</div>


							<div class="row">
								<div class="col-sm-5">
									<div class="form-group">
										<span class="form-label">Anul aparitiei</span>
										<input class="form-control" type="number" placeholder="yyyy" id="edition_year" name="edition_year">
									</div>
								</div>
								<div class="col-sm-5">
									<div class="form-group">
										<span class="form-label">Anul editarii</span>
										<input class="form-control" type="number" placeholder="yyyy" id="copyright_year" name="copyright_year">
									</div>
								</div>

							</div>
							<div class="row">
								<div class="col-sm-6">
									<div class="form-group">
										<span class="form-label">Poza coperta carte <sup style="font-weight:bolder">*</sup></span>
										<input type="file" id="cover_img" name="cover_image" accept="image/*" required>
									</div>
								</div>
							</div>
							<div class="form-btn">
								<button class="submit-btn">Adauga carte</button>
							</div>
                </form>
{% endblock %}